# service_description.cpp File Reference

`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/assign/list_inserter.hpp>`
`#include <boost/assign/std/vector.hpp>`
`#include <saga/saga/sd.hpp>`
`#include <saga/impl/sd.hpp>`
`#include <saga/saga/exception.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::sd
namespace | saga::detail
## Defines
#define | SAGA_NO_IMPORT_ATTRIBUTE
#define | SD_DEBUG 0

## Define Documentation

#define SAGA_NO_IMPORT_ATTRIBUTE

#define SD_DEBUG 0